PUT V1/TicketManagement.{ext}/UpdatingMailStatus

Update E-MAil status

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.UpdateMailstatus
NameDescriptionTypeAdditional information
Server

server

string

None.

EmailId

emailId

string

None.

Password

password

string

None.

MailList

mailUniqueIds

Collection of string

None.

ServerProtocal

server protocol

string

None.

Request Formats

application/json, text/json

Sample:
{
  "server": "sample string 1",
  "emailId": "sample string 2",
  "password": "sample string 3",
  "mailList": [
    "sample string 1",
    "sample string 2"
  ],
  "serverProtocal": "sample string 4"
}

application/xml, text/xml

Sample:
<UpdateMailstatus xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <EmailId>sample string 2</EmailId>
  <MailList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </MailList>
  <Password>sample string 3</Password>
  <Server>sample string 1</Server>
  <ServerProtocal>sample string 4</ServerProtocal>
</UpdateMailstatus>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.